|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes
gameplay::PhysicsCollisionObject::CollisionPair Class Reference

`#include <PhysicsCollisionObject.h>`

List of all members.

## Public Member Functions

| CollisionPair (PhysicsCollisionObject *objectA, PhysicsCollisionObject *objectB)
bool | operator< (const CollisionPair &collisionPair) const

## Public Attributes

PhysicsCollisionObject * | objectA
PhysicsCollisionObject * | objectB

## Detailed Description

Defines a pair of rigid bodies that collided (or may collide).

## Constructor & Destructor Documentation

gameplay::PhysicsCollisionObject::CollisionPair::CollisionPair | ( | PhysicsCollisionObject * | objectA,
|  | PhysicsCollisionObject * | objectB
| ) |  |

Constructor.

## Member Function Documentation

bool gameplay::PhysicsCollisionObject::CollisionPair::operator< | ( | const CollisionPair & | collisionPair | ) | const

Less than operator (needed for use as a key in map).

Parameters:

  collisionPair | The collision pair to compare.

Returns:
  True if this pair is "less than" the given pair; false otherwise.

## Member Data Documentation

PhysicsCollisionObject* gameplay::PhysicsCollisionObject::CollisionPair::objectA

The first object in the collision.

PhysicsCollisionObject* gameplay::PhysicsCollisionObject::CollisionPair::objectB

The second object in the collision.

All Classes Functions Variables Typedefs Enumerations Enumerator